<div class="pixel-map-container">
  <ng-container *ngIf="pixelMap; else noPixelMap">
    <app-pixel-map-settings
      [colorMaps]="colorMaps"
      [selectedColorMap]="selectedColorMap"
      [colorMapInversion]="colorMapInversion"
      [colorMapInversionDisableState]="colorMapInversionDisableState"
      (colorMapSelectionChanged)="colorMapSelectionChanged.emit($event)"
      (colorMapInversionChanged)="colorMapInversionChanged.emit($event)">
    </app-pixel-map-settings>
    <span class="top-padding"></span>
    <app-element-class-maps
      *ngIf="pixelMap.element_class_mapping; else noElementClassMapping"
      [elementClassMapping]="pixelMap.element_class_mapping"
      [classEntities]="classEntities"
      [renderingHintEntities]="renderingHintEntities"
      [hasRenderingHint]="hasRenderingHint">
    </app-element-class-maps>
    <ng-template #noElementClassMapping>
      <div class="no-item-container">
        No element class mapping
      </div>
    </ng-template>
  </ng-container>
  <ng-template #noPixelMap>
    <div class="no-item-container">
      No Pixelmap selected
    </div>
  </ng-template>
</div>
